Nimbu Developer Docs
ReferenceApps

Update OAuth app

PATCH
/apps/{app_id}

Updates an OAuth application. Internal apps re-derive their callback URL whenever install scopes change.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

app_id*string

Application key

Header Parameters

X-Nimbu-Site*string

Site identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/apps/string" \  -H "X-Nimbu-Site: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "name": "string",
  "url": "http://example.com",
  "key": "string",
  "domain": "string",
  "callback_url": "http://example.com",
  "internal": true,
  "install_scopes": [
    "string"
  ],
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "sdk_version": "string",
  "compiled_at": "2019-08-24T14:15:22Z",
  "compile_errors": [
    "string"
  ],
  "functions": [
    {
      "name": "string",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "routes": [
    {
      "verb": "string",
      "path": "string",
      "constraints": {},
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "callbacks": [
    {
      "event": "string",
      "type": "string",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "jobs": [
    {
      "name": "string",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "schedules": [
    {
      "name": "string",
      "timing": "string",
      "data": {},
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
Empty